Author vstinner
Recipients vstinner
Date 2018-05-31.14:53:06
SpamBayes Score -1.0
Marked as misclassified Yes
Message-id <1527778386.67.0.682650639539.issue33719@psf.upfronthosting.co.za>
In-reply-to
Content
I ran the test suite on an installed Python 3.7 beta5 on Windows 10. The following tests fail:

* test_marshal.test_loads_2x_code(): Windows fatal exception: stack overflow
* test_pkg: failures when run with -X utf8
* test.test_tools.test_sundry.TestSundryScripts.test_sundry(): "optparse.BadOptionError: no such option: -m"

== test_marshal ==

C:\Users\vstinner\AppData\Local\Programs\Python\Python37>python.exe -m test test_marshal -v
== CPython 3.7.0b5 (v3.7.0b5:abb8802389, May 31 2018, 01:54:01) [MSC v.1913 64 bit (AMD64)]
== Windows-10-10.0.16299-SP0 little-endian
== cwd: C:\Users\vstinner\AppData\Local\Temp\test_python_3836
== CPU count: 2
== encodings: locale=cp1252, FS=utf-8
Run tests sequentially
0:00:00 [1/1] test_marshal
(...)
test_loads_2x_code (test.test_marshal.BugsTestCase) ... Windows fatal exception: stack overflow

Current thread 0x000003a0 (most recent call first):
  File "C:\Users\vstinner\AppData\Local\Programs\Python\Python37\lib\unittest\case.py", line 178 in handle
  File "C:\Users\vstinner\AppData\Local\Programs\Python\Python37\lib\unittest\case.py", line 743 in assertRaises
  File "C:\Users\vstinner\AppData\Local\Programs\Python\Python37\lib\test\test_marshal.py", line 215 in test_loads_2x_code
  (...)

== test_pkg ==

C:\Users\vstinner\AppData\Local\Programs\Python\Python37>python.exe -X utf8 -m test -v test_pkg
== CPython 3.7.0b5 (v3.7.0b5:abb8802389, May 31 2018, 01:54:01) [MSC v.1913 64 bit (AMD64)]
== Windows-10-10.0.16299-SP0 little-endian
== cwd: C:\Users\vstinner\AppData\Local\Temp\test_python_6984
== CPU count: 2
== encodings: locale=UTF-8, FS=utf-8
Run tests sequentially
0:00:00 [1/1] test_pkg
test_1 (test.test_pkg.TestPkg) ... ok
test_2 (test.test_pkg.TestPkg) ... ok
test_3 (test.test_pkg.TestPkg) ... ok
test_4 (test.test_pkg.TestPkg) ... ERROR
test_5 (test.test_pkg.TestPkg) ... ok
test_6 (test.test_pkg.TestPkg) ... ok
test_7 (test.test_pkg.TestPkg) ... FAIL
test_8 (test.test_pkg.TestPkg) ... ok

======================================================================
ERROR: test_4 (test.test_pkg.TestPkg)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "C:\Users\vstinner\AppData\Local\Programs\Python\Python37\lib\test\test_pkg.py", line 180, in test_4
    self.run_code(s)
  File "C:\Users\vstinner\AppData\Local\Programs\Python\Python37\lib\test\test_pkg.py", line 69, in run_code
    exec(textwrap.dedent(code), globals(), {"self": self})
  File "<string>", line 2, in <module>
  File "C:\Users\vstinner\AppData\Local\Temp\tmpeeb0h5ra\t4.py", line 1, in <module>
RuntimeError: Shouldnt load t4.py

======================================================================
FAIL: test_7 (test.test_pkg.TestPkg)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "C:\Users\vstinner\AppData\Local\Programs\Python\Python37\lib\test\test_pkg.py", line 260, in test_7
    '__name__', '__package__', '__path__', '__spec__'])
AssertionError: Lists differ: ['__c[34 chars]__loader__', '__name__', '__package__', '__spec__'] != ['__c[34 chars]__loader__', '__name__', '__package__', '__path__', '__spec__']

First differing element 6:
'__spec__'
'__path__'

Second list contains 1 additional elements.
First extra element 7:
'__spec__'

  ['__cached__',
   '__doc__',
   '__file__',
   '__loader__',
   '__name__',
   '__package__',
+  '__path__',
   '__spec__']

----------------------------------------------------------------------
Ran 8 tests in 0.156s

FAILED (failures=1, errors=1)
test test_pkg failed
test_pkg failed

1 test failed:
    test_pkg

Total duration: 187 ms
Tests result: FAILURE

== test_tools ==


C:\Users\vstinner\AppData\Local\Programs\Python\Python37>python.exe -m test -v test_tools -m test_sundry
== CPython 3.7.0b5 (v3.7.0b5:abb8802389, May 31 2018, 01:54:01) [MSC v.1913 64 bit (AMD64)]
== Windows-10-10.0.16299-SP0 little-endian
== cwd: C:\Users\vstinner\AppData\Local\Temp\test_python_7472
== CPU count: 2
== encodings: locale=cp1252, FS=utf-8
Run tests sequentially
0:00:00 [1/1] test_tools
test_analyze_dxp_import (test.test_tools.test_sundry.TestSundryScripts) ... ok
test_sundry (test.test_tools.test_sundry.TestSundryScripts) ... Usage: 2to3 [options] file|dir ...

__main__.py: error: no such option: -m
ERROR
test_sundry_windows (test.test_tools.test_sundry.TestSundryScripts) ... ok

======================================================================
ERROR: test_sundry (test.test_tools.test_sundry.TestSundryScripts)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "C:\Users\vstinner\AppData\Local\Programs\Python\Python37\lib\optparse.py", line 1387, in parse_args
    stop = self._process_args(largs, rargs, values)
  File "C:\Users\vstinner\AppData\Local\Programs\Python\Python37\lib\optparse.py", line 1431, in _process_args
    self._process_short_opts(rargs, values)
  File "C:\Users\vstinner\AppData\Local\Programs\Python\Python37\lib\optparse.py", line 1513, in _process_short_opts
    raise BadOptionError(opt)
optparse.BadOptionError: no such option: -m

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\vstinner\AppData\Local\Programs\Python\Python37\lib\test\test_tools\test_sundry.py", line 36, in test_sundry
    import_tool(name)
  File "C:\Users\vstinner\AppData\Local\Programs\Python\Python37\lib\test\test_tools\__init__.py", line 21, in import_tool
    return importlib.import_module(toolname)
  File "C:\Users\vstinner\AppData\Local\Programs\Python\Python37\lib\importlib\__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1006, in _gcd_import
  File "<frozen importlib._bootstrap>", line 983, in _find_and_load
  File "<frozen importlib._bootstrap>", line 967, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 677, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 728, in exec_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "C:\Users\vstinner\AppData\Local\Programs\Python\Python37\Tools\scripts\2to3.py", line 5, in <module>
    sys.exit(main("lib2to3.fixes"))
  File "C:\Users\vstinner\AppData\Local\Programs\Python\Python37\lib\lib2to3\main.py", line 179, in main
    options, args = parser.parse_args(args)
  File "C:\Users\vstinner\AppData\Local\Programs\Python\Python37\lib\optparse.py", line 1389, in parse_args
    self.error(str(err))
  File "C:\Users\vstinner\AppData\Local\Programs\Python\Python37\lib\optparse.py", line 1569, in error
    self.exit(2, "%s: error: %s\n" % (self.get_prog_name(), msg))
  File "C:\Users\vstinner\AppData\Local\Programs\Python\Python37\lib\optparse.py", line 1559, in exit
    sys.exit(status)
SystemExit: 2

----------------------------------------------------------------------
Ran 3 tests in 0.031s

FAILED (errors=1)
test test_tools failed
test_tools failed

1 test failed:
    test_tools

Total duration: 78 ms
Tests result: FAILURE
History
Date User Action Args
2018-05-31 14:53:07vstinnersetrecipients: + vstinner
2018-05-31 14:53:06vstinnersetmessageid: <1527778386.67.0.682650639539.issue33719@psf.upfronthosting.co.za>
2018-05-31 14:53:06vstinnerlinkissue33719 messages
2018-05-31 14:53:06vstinnercreate